"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

const deleteSecret = async (pool, selector) => {
  const log = (0, _getLog.getLog)('secretsManager:deleteSecret');
  log.debug(`removing secret from the database`);
  const {
    secretsTableName,
    connection,
    escapeId,
    escape
  } = pool;
  log.verbose(`selector: ${selector}`);
  log.verbose(`tableName: ${secretsTableName}`);
  log.debug(`executing SQL query`);
  await connection.execute(`DELETE FROM ${escapeId(secretsTableName)} WHERE \`id\` = ${escape(selector)}`);
  log.debug(`query executed successfully`);
  return true;
};

var _default = deleteSecret;
exports.default = _default;
//# sourceMappingURL=delete-secret.js.map