"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const executeSequence = async (connection, statements, log, convertToKnownError) => {
  const errors = [];

  for (const statement of statements) {
    try {
      log.debug(`executing query`);
      log.verbose(statement);
      await connection.execute(statement);
      log.debug(`query executed successfully`);
    } catch (error) {
      if (error != null) {
        let errorToThrow = error;
        const knownError = convertToKnownError(error);

        if (knownError != null) {
          errorToThrow = knownError;
        } else {
          log.error(errorToThrow.message);
          log.verbose(errorToThrow.stack);
        }

        errors.push(errorToThrow);
      }
    }
  }

  return errors;
};

var _default = executeSequence;
exports.default = _default;
//# sourceMappingURL=execute-sequence.js.map