"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

const getSecret = async (pool, selector) => {
  const log = (0, _getLog.getLog)('secretsManager:getSecret');
  log.debug(`retrieving secret value from the database`);
  const {
    connection,
    secretsTableName,
    escape,
    escapeId
  } = pool;
  log.verbose(`selector: ${selector}`);
  log.verbose(`tableName: ${secretsTableName}`);
  const sql = `SELECT \`secret\` FROM ${escapeId(secretsTableName)} WHERE id = ${escape(selector)}`;
  log.verbose(sql);
  log.debug(`executing SQL query`);
  const [rows] = await connection.query(sql);
  log.debug(`query executed, returning result`);
  const {
    secret
  } = rows && rows.length ? rows[0] : {
    secret: null
  };
  return secret;
};

var _default = getSecret;
exports.default = _default;
//# sourceMappingURL=get-secret.js.map