"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAlreadyExistsError = isAlreadyExistsError;
exports.isNotExistError = isNotExistError;

var _constants = require("./constants");

function isAlreadyExistsError(error) {
  const errno = Number(error.errno);

  switch (errno) {
    case _constants.ER_TABLE_EXISTS:
    case _constants.ER_NO_SUCH_TABLE:
    case _constants.ER_DUP_ENTRY:
    case _constants.ER_LOCK_DEADLOCK:
    case _constants.ER_SUBQUERY_NO_1_ROW:
      return true;

    default:
      return false;
  }
}

function isNotExistError(error) {
  return /Unknown (?:Table|Index)/i.test(error.message);
}
//# sourceMappingURL=resource-errors.js.map